Redmine - Defect #30027

Some styles (for ex: borders for tables) in a custom field with text formatting enabled are not
displayed
Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 3.4.7

Resolution: Fixed Affected version:

Description

You can insert tables to long text custom fields if the "Text formatting" setting for the field is enabled.

But tables don't have borders when displayed if the custom field is normal-width mode. In contrast, borders are displayed as
expected in full-width custom fields.
Related issues:
Related to Redmine - Feature #1179: Optionally allow Text and Long Text custo... Closed 2008-05-05

Associated revisions

Revision 17634 - 2018-11-26 01:23 - Go MAEDA
Add wiki class also for half width custom fields with text formatting enabled (#30027).

Patch by Marius BALTEANU.

Revision 17635 - 2018-11-26 03:13 - Go MAEDA
Merged r17634 from trunk to 3.4-stable (#30027).

History

#1 - 2018-11-25 06:01 - Go MAEDA
- Related to Feature #1179: Optionally allow Text and Long Text custom fields support wiki formatting added

#2 - 2018-11-25 19:33 - Marius BALTEANU
- File 0001-Add-wiki-class-also-for-half-width-custom-fields-wit.patch added
- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

The root cause is the "wiki" class that is missing for the custom fields with text formatting enabled and full width layout not enabled. Are affected all
the styles that are applied on the "wiki" class, not only the tables borders.

A patch to add the missing "wiki" class and a test is attached.
#3 - 2018-11-26 01:25 - Go MAEDA

- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

- Target version changed from Candidate for next minor release to 3.3.9

- Resolution set to Fixed

Committed the patch. Thank you for fixing this issue.

#4 - 2018-11-26 03:15 - Go MAEDA

- Status changed from Resolved to Closed
- Target version changed from 3.3.9 to 3.4.7
Merged to 3.4-stable.
#5 - 2018-11-30 15:20 - Marius BALTEANU

- Subject changed from Borders for tables in a custom field are not displayed to Some styles (for ex: borders for tables) in a custom field with text
formatting enabled are not displayed
